Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTFogCoord

    java.lang.Object
      org.lwjgl.opengl.EXTFogCoord

    public final class EXTFogCoord

extends java.lang.Object

Field Summary
`static int` | `GL_CURRENT_FOG_COORDINATE_EXT`
`static int` | `GL_FOG_COORDINATE_ARRAY_EXT`
`static int` | `GL_FOG_COORDINATE_ARRAY_POINTER_EXT`
`static int` | `GL_FOG_COORDINATE_ARRAY_STRIDE_EXT`
`static int` | `GL_FOG_COORDINATE_ARRAY_TYPE_EXT`
`static int` | `GL_FOG_COORDINATE_EXT`
`static int` | `GL_FOG_COORDINATE_SOURCE_EXT`
`static int` | `GL_FRAGMENT_DEPTH_EXT`

Method Summary
`static void` | `glFogCoorddEXT(double coord)`
`static void` | `glFogCoordfEXT(float coord)`
`static void` | `glFogCoordPointerEXT(int stride, java.nio.DoubleBuffer data)`
`static void` | `glFogCoordPointerEXT(int stride, java.nio.FloatBuffer data)`
`static void` | `glFogCoordPointerEXT(int type, int stride, long data_buffer_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_FOG_COORDINATE_SOURCE_EXT

    public static final int GL_FOG_COORDINATE_SOURCE_EXT

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_EXT

    public static final int GL_FOG_COORDINATE_EXT

See Also:
  Constant Field Values

### GL_FRAGMENT_DEPTH_EXT

    public static final int GL_FRAGMENT_DEPTH_EXT

See Also:
  Constant Field Values

### GL_CURRENT_FOG_COORDINATE_EXT

    public static final int GL_CURRENT_FOG_COORDINATE_EXT

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_ARRAY_TYPE_EXT

    public static final int GL_FOG_COORDINATE_ARRAY_TYPE_EXT

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_ARRAY_STRIDE_EXT

    public static final int GL_FOG_COORDINATE_ARRAY_STRIDE_EXT

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_ARRAY_POINTER_EXT

    public static final int GL_FOG_COORDINATE_ARRAY_POINTER_EXT

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_ARRAY_EXT

    public static final int GL_FOG_COORDINATE_ARRAY_EXT

See Also:
  Constant Field Values

Method Detail

### glFogCoordfEXT

    public static void glFogCoordfEXT(float coord)

### glFogCoorddEXT

    public static void glFogCoorddEXT(double coord)

### glFogCoordPointerEXT

    public static void glFogCoordPointerEXT(int stride,
                                            java.nio.DoubleBuffer data)

### glFogCoordPointerEXT

    public static void glFogCoordPointerEXT(int stride,
                                            java.nio.FloatBuffer data)

### glFogCoordPointerEXT

    public static void glFogCoordPointerEXT(int type,
                                            int stride,
                                            long data_buffer_offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.